interface Builder error in xcode

Discussion in 'iOS Programming' started by knut, Jun 30, 2009.

  1. knut macrumors newbie

    Joined:
    Jun 30, 2009
    #1
    Hi All
    I have problem with interface builder. so
    environment: mac os 10.5.6 .sdk 2.2.
    I create new empty project select the project type (iPhone OS->application) then select view based application build project and everything is good
    But when I try open my window.xib file (double click on this file) a get error for my interface builder it cant start and open this file.
    What`s wrong ?
    How I can solve this problem
    Thanks
     
  2. dejo Moderator

    dejo

    Staff Member

    Joined:
    Sep 2, 2004
    Location:
    The Centennial State
    #2
    Can you start Interface Builder on its own? It's usually found in /Developer/Applications. If not, and you get the same error, you may need to reinstall the SDK. What is the error you are getting, by the way?
     
  3. knut thread starter macrumors newbie

    Joined:
    Jun 30, 2009
    #3
    Hi
    No I can not start form application folder too.
    I got such error message.
    Report
    Process:Interface Builder
    Version 3.1.2

    Exeption type EXC_BAD_ACCESS(SIGBUS)
    EXEC CODE:KERN_PROTECTEDFAILUAR

    i have one more question
    i must uninstall and install again or i can reinstall without uninstalling
    Thanks
     
  4. dejo Moderator

    dejo

    Staff Member

    Joined:
    Sep 2, 2004
    Location:
    The Centennial State
    #4
    To be safe, it's best to uninstall first. Also, you might want to consider redownloading the SDK, since yours may have been corrupted.
     
  5. knut thread starter macrumors newbie

    Joined:
    Jun 30, 2009
    #5
    thanks I will try
    one more question too
    how can you explain me how can I uninstall the sdk i am a beginner in mac can you explain what i must do
    I read the manual for uninstall sdk and found such string "sudo /Developer/Library/uninstall-devtools --mode=all" how I can run this line?
    I have iphone_sdk_for_iphone_os_2.1__final which version you are recommended for installation?
    Thanks
     
  6. EssentialParado macrumors 65816

    Joined:
    Feb 17, 2005
    #6
    that's the correct string to uninstall it. You need to open Terminal (type "Terminal" into spotlight) and then you should just be able to paste that line and hit enter and it'll ask for your password, then the rest should be automatic.
     

Share This Page